package com.thinkgem.jeesite.modules.messageCenter.entity;


import com.fasterxml.jackson.annotation.JsonIgnore;
import com.thinkgem.jeesite.common.baseBean.BaseEntity;

import java.io.Serializable;

public class ArticleEntity extends BaseEntity implements Serializable {
    private String title; // 标题
    private String image; // 图片
    @JsonIgnore
    private String keywords; // 关键字
    @JsonIgnore
    private String description; // 摘要
    private String publishDate; // 发布日期
    @JsonIgnore
    private String weight; // 权重
    @JsonIgnore
    private String hits; // 点击数
    @JsonIgnore
    private String is_flow; // 是否滚动通知
    @JsonIgnore
    private String is_tip; // 是否弹窗通知
    private String content; // 内容

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getImage() {
        return image;
    }

    public void setImage(String image) {
        this.image = image;
    }

    public String getKeywords() {
        return keywords;
    }

    public void setKeywords(String keywords) {
        this.keywords = keywords;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public String getPublishDate() {
        return publishDate;
    }

    public void setPublishDate(String publishDate) {
        this.publishDate = publishDate;
    }

    public String getWeight() {
        return weight;
    }

    public void setWeight(String weight) {
        this.weight = weight;
    }

    public String getHits() {
        return hits;
    }

    public void setHits(String hits) {
        this.hits = hits;
    }

    public String getIs_flow() {
        return is_flow;
    }

    public void setIs_flow(String is_flow) {
        this.is_flow = is_flow;
    }

    public String getIs_tip() {
        return is_tip;
    }

    public void setIs_tip(String is_tip) {
        this.is_tip = is_tip;
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }
}
